{% load static %}

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'index' %}">
            <img src="{% static "images/qa.svg" %}" height="50" alt="QA">
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <form class="d-flex w-100" action="{% url 'qa:search' %}">
                <input class="form-control me-2" type="search" name="search" placeholder="Поиск..."
                    {% if request.GET.search %}value="{{ request.GET.search }}" {% endif %}
                    aria-label="Search">
                <button class="btn btn-warning" type="submit">Найти</button>
            </form>
        </div>

        <div class="dropdown p-2">
            {% if user.is_authenticated %}
                <a href="#" class="d-flex align-items-center link-dark text-decoration-none dropdown-toggle" id="dropdownUser2" data-bs-toggle="dropdown" aria-expanded="false">
                    {% if user.profile.avatar %}
                        <img src="{{ user.profile.avatar.url }}" width="48" height="48" class="rounded-circle me-3" alt="{{ user.username }}">
                    {% else %}
                        <img src="/files/avatar.svg" width="48" height="48" class="rounded-circle me-3" alt="{{ user.username }}">
                    {% endif %}
                    <strong>{{ user.username|title }}</strong>
                </a>
                <ul class="dropdown-menu text-small shadow"
                    aria-labelledby="dropdownUser2">
                    <li><a class="dropdown-item" href="{% url 'qa:ask' %}">Задать вопрос</a></li>
                    <li><a class="dropdown-item" href="{% url 'user:profile' %}">Профиль</a></li>
                    <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="{% url 'user:logout' %}">Выйти</a></li>
                </ul>
            {% else %}
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a href="{% url 'user:login' %}" class="nav-link link-dark">
                            <svg class="bi me-2" width="16" height="16">
                                <use xlink:href="#login"></use>
                            </svg>
                            Вход
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'user:register' %}" class="nav-link link-dark">
                            <svg class="bi me-2" width="16" height="16">
                                <use xlink:href="#register"></use>
                            </svg>
                            Регистрация
                        </a>
                    </li>
                  </ul>
                </div>
            {% endif %}

        </div>
    </div>
</nav>
